#ifndef __S2_YAMAHA_DME_GLOBAL_CONTROLS_H__
#define __S2_YAMAHA_DME_GLOBAL_CONTROLS_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_Yamaha_DME_global_controls_MUTE_POLL_DIG_INPUT 0
#define __S2_Yamaha_DME_global_controls_MUTE_DIG_INPUT 1
#define __S2_Yamaha_DME_global_controls_SCENE_POLL_DIG_INPUT 2
#define __S2_Yamaha_DME_global_controls_SCENE_NEXT_DIG_INPUT 3
#define __S2_Yamaha_DME_global_controls_SCENE_PREVIOUS_DIG_INPUT 4

#define __S2_Yamaha_DME_global_controls_GPI_OUT_DIG_INPUT 5
#define __S2_Yamaha_DME_global_controls_GPI_OUT_ARRAY_LENGTH 16

/*
* ANALOG_INPUT
*/
#define __S2_Yamaha_DME_global_controls_SCENE_SET_ANALOG_INPUT 0
#define __S2_Yamaha_DME_global_controls_WAV_NUMBER_ANALOG_INPUT 1


#define __S2_Yamaha_DME_global_controls_RX$_BUFFER_INPUT 2
#define __S2_Yamaha_DME_global_controls_RX$_BUFFER_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_DME_global_controls, __RX$, __S2_Yamaha_DME_global_controls_RX$_BUFFER_MAX_LEN );


/*
* DIGITAL_OUTPUT
*/
#define __S2_Yamaha_DME_global_controls_MUTE_POLL_DONE_DIG_OUTPUT 0
#define __S2_Yamaha_DME_global_controls_MUTED_FB_DIG_OUTPUT 1
#define __S2_Yamaha_DME_global_controls_SCENE_POLL_DONE_DIG_OUTPUT 2


/*
* ANALOG_OUTPUT
*/
#define __S2_Yamaha_DME_global_controls_SCENE_FB_ANALOG_OUTPUT 0

#define __S2_Yamaha_DME_global_controls_SCENE_NAME_FB$_STRING_OUTPUT 1
#define __S2_Yamaha_DME_global_controls_TX$_STRING_OUTPUT 2


/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Yamaha_DME_global_controls_TEMP$_STRING_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_DME_global_controls, __TEMP$, __S2_Yamaha_DME_global_controls_TEMP$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Yamaha_DME_global_controls )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_IO_ARRAY( __GPI_OUT );
   unsigned short __BUSY;
   unsigned short __MARKER1;
   unsigned short __MARKER2;
   unsigned short __WAITING_MUTE_POLL;
   unsigned short __WAITING_SCENE_POLL;
   DECLARE_STRING_STRUCT( S2_Yamaha_DME_global_controls, __TEMP$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_DME_global_controls, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_Yamaha_DME_global_controls )
{
};



#endif //__S2_YAMAHA_DME_GLOBAL_CONTROLS_H__

